%define name		xrick
%define version		021212
%define release		%mkrel 1
%define distsuffix plf

Name:		%{name}
Summary:	A clone of Rick Dangerous
Version:	%{version}
Release:	%{release}
License:	GPL-like
URL:		http://www.bigorno.net/xrick/
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-xpm.tar.bz2
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%version-%release-root
BuildRequires:  libSDL-devel
BuildRequires:  ImageMagick

%description
Way before Lara Croft, back in the 1980's and early 1990's, Rick Dangerous
was the Indiana Jones of computer games, running away from rolling rocks,
avoiding traps, from South America to a futuristic missile base via Egypt
and the Schwarzendumpf castle.

xrick is a clone of Rick Dangerous. Written entirely in C, it relies on the
Simple DirectMedia Layer library.

This is in PLF for the copyrighted artwork.

%prep
rm -rf %{buildroot}
%setup -q -n xrick-021212 -a 1

%build
#./config
%make


%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 xrick %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 data.zip %{buildroot}%{_gamesdatadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 xrick.6.gz %{buildroot}%{_mandir}/man6

# installation of icons (c) Grégoire :-)
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert xrick-16.xpm %{buildroot}%{_miconsdir}/xrick.png
convert xrick-32.xpm %{buildroot}%{_iconsdir}/xrick.png
convert xrick-48.xpm %{buildroot}%{_liconsdir}/xrick.png

# installation of menu entry
mkdir -p %{buildroot}%{_menudir}
cat <<EOF >%{buildroot}%{_menudir}/xrick
?package(%{name}):command="%{_gamesbindir}/xrick -data %{_gamesdatadir}/%{name}/data.zip" \
		icon="xrick.png" \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="Rick Dangerous" \
		longtitle="Xrick - A clone of Rick Dangerous" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Rick Dangerous
Comment=Xrick - A clone of Rick Dangerous
Exec=%{_gamesbindir}/xrick -data %{_gamesdatadir}/%{name}/data.zip
Icon=xrick
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README KeyCodes
%{_gamesbindir}/xrick
%dir %{_gamesdatadir}/%{name}/
%{_gamesdatadir}/%{name}/data.zip
%_datadir/applications/mandriva*
%{_miconsdir}/xrick.png
%{_iconsdir}/xrick.png
%{_liconsdir}/xrick.png
%{_menudir}/xrick
%{_mandir}/man6/xrick.6*

%changelog
* Tue Aug 15 2006 Götz Waschk <goetz@zarb.org> 021212-1plf2007.0
- initial plf build

* Sat Apr 12 2003 Grégoire Colbert <gregus@linux-mandrake.com> 021212-1mdk
- New version
- If run from the command-line use option "-data /usr/share/games/xrick/data.zip"

* Sat Sep 09 2001 Grégoire Colbert <gregus@linux-mandrake.com> 010808-3mdk
- Better icons

* Fri Sep 07 2001 Grégoire Colbert <gregus@linux-mandrake.com> 010808-2mdk
- Changed menu entry to "Rick Dangerous" (instead of Xrick)

* Sat Aug 19 2001 Grégoire Colbert <gregus@linux-mandrake.com> 010808-1mdk
 - Initial Mandrake release
 - Created 3 XPM icons for the menu

